package at.compax.tools.sql;

import java.util.List;

import at.compax.tools.sql.model.UserError;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
@AllArgsConstructor
public class SqlExecutionException extends Exception {
  private static final long serialVersionUID = 3684929762067312606L;

  private final String message;
  private final List<UserError> userErrors;
  private Throwable cause;
}
